Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.sdb.store
Class TupleGraphLoader

    java.lang.Object
      com.hp.hpl.jena.sdb.store.TupleGraphLoader

All Implemented Interfaces:
  StoreLoader

    public class TupleGraphLoader

extends Object
implements StoreLoader

Adapter from a tuple loader to a graph loader.

Constructor Summary
`TupleGraphLoader(TupleLoader loader)` The loader must be for a triple table of some kind

Method Summary
`void` | `addTriple(com.hp.hpl.jena.graph.Triple triple)`
`void` | `close()`
`void` | `deleteAll()`
`void` | `deleteTriple(com.hp.hpl.jena.graph.Triple triple)`
`void` | `finishBulkUpdate()`
`int` | `getChunkSize()`
`boolean` | `getUseThreading()`
`void` | `setChunkSize(int chunks)`
`void` | `setUseThreading(boolean useThreading)`
`void` | `startBulkUpdate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleGraphLoader

    public TupleGraphLoader(TupleLoader loader)

  The loader must be for a triple table of some kind

Method Detail

### addTriple

    public void addTriple(com.hp.hpl.jena.graph.Triple triple)

  Specified by:
    `addTriple` in interface `StoreLoader`

### deleteTriple

    public void deleteTriple(com.hp.hpl.jena.graph.Triple triple)

  Specified by:
    `deleteTriple` in interface `StoreLoader`

### close

    public void close()

  Specified by:
    `close` in interface `StoreLoader`

### startBulkUpdate

    public void startBulkUpdate()

  Specified by:
    `startBulkUpdate` in interface `StoreLoader`

### finishBulkUpdate

    public void finishBulkUpdate()

  Specified by:
    `finishBulkUpdate` in interface `StoreLoader`

### getChunkSize

    public int getChunkSize()

  Specified by:
    `getChunkSize` in interface `StoreLoader`

### setChunkSize

    public void setChunkSize(int chunks)

  Specified by:
    `setChunkSize` in interface `StoreLoader`

### getUseThreading

    public boolean getUseThreading()

  Specified by:
    `getUseThreading` in interface `StoreLoader`

### setUseThreading

    public void setUseThreading(boolean useThreading)

  Specified by:
    `setUseThreading` in interface `StoreLoader`

### deleteAll

    public void deleteAll()

  Specified by:
    `deleteAll` in interface `StoreLoader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2006, 2007, 2008, 2009 Hewlett-Packard Development Company, LP Copyright ? 2010 Epimorphics Ltd.